Subject: Re: linking 3rd party DLLs to my code.
From: Brian Dessent <[email-masked]>
To: Cygwin Mailing List <[email-masked]>
Date: Sat, 22 Nov 2003 06:19:02 -0800

Hannu E K Nevalainen wrote:

> > > However I am able to link it. putting cg.dll in /usr/local/lib (say) and
> > > compiling with
> > >
> > > gcc -mno-cygwin <files> -L/usr/local/lib -lcg
>         ===========
> 
> > >
> > > compiles with no complaints.
> > >
> > > However, cygcheck complains, saying that it cannot find the dll.
> > >

> > Unless I'm really missing something, isn't this just a path issue?
> > AFAIK, every DLL that your program links against must be either in the
> > path or in the same directory as the .exe (unless the program
> > specifically looks for it with dlopen() or whatever.)

>  He is compiling with -mno-cygwin, I'd guess that this has some impact here.
> i.e. cygwin1.dll isn't used -> POSIX paths not available.

Okay, so you'd need to add c:\cygwin\usr\local\lib to the path instead. 
It still doesn't change the fact that DLLs have to be either in the path
or in the same directory as the EXE.  And that would definitely explain
why the symlink wasn't working as expected.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/